diff --git a/books/axbook.tgz b/books/axbook.tgz
index 1f24460..19e4933 100644
Binary files a/books/axbook.tgz and b/books/axbook.tgz differ
diff --git a/books/bookvol0.pamphlet b/books/bookvol0.pamphlet
index ddcb2a1..8f1c57e 100644
--- a/books/bookvol0.pamphlet
+++ b/books/bookvol0.pamphlet
@@ -18886,8 +18886,8 @@ $$
 $$
 \returnType{Type: List Expression Integer}
 
-As a side effect, the variables $\%x0, \%x1$ and $\%x2$ are bound
-to the first three roots of $x**4+1$.
+As a side effect, the variables $\%x0$ and $\%x1$ are bound
+to the first two roots of $x**4+1$.
 
 \spadcommand{\%x0**5 }
 $$
@@ -18895,8 +18895,8 @@ $$
 $$
 \returnType{Type: Expression Integer}
 
-Although they all satisfy $x**4 + 1 = 0, \%x0, \%x1,$
-and $\%x2$ are different algebraic numbers.
+Although they all satisfy $x**4 + 1 = 0, \%x0$
+and $\%x1$ are different algebraic numbers.
 To find the algebraic relation that defines each of them,
 use {\bf definingPolynomial}.
 
@@ -18912,32 +18912,26 @@ $$
 $$
 \returnType{Type: Expression Integer}
 
-\spadcommand{definingPolynomial \%x2 }
+\spadcommand{[t1:=l.1, t2:=l.2, t3:=l.3, t4:=l.4]}
 $$
-- \%x2+ \%\%var 
+\left[
+ \%x0,  { \%x0 \  \%x1},  - \%x0,  -{ \%x0 \  \%x1} 
+\right]
 $$
-\returnType{Type: Expression Integer}
+\returnType{Type: List Expression Integer}
 
 We can check that the sum and product of the roots of $x**4+1$ are
 its trace and norm.
 
-\spadcommand{x3 := last l  }
-$$
--{ \%x0 \  \%x1} 
-$$
-\returnType{Type: Expression Integer}
-
-\spadcommand{\%x0 + \%x1 + \%x2 + x3 }
+\spadcommand{t1+t2+t3+t4}
 $$
-{{\left( - \%x0+1 
-\right)}
-\  \%x1}+ \%x0+ \%x2 
+0
 $$
 \returnType{Type: Expression Integer}
 
-\spadcommand{\%x0 * \%x1 * \%x2 * x3 }
+\spadcommand{t1*t2*t3*t4}
 $$
- \%x2 \  { \%x0 \sp 2} 
+1
 $$
 \returnType{Type: Expression Integer}
 
diff --git a/changelog b/changelog
index d1d6548..6da6082 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100623 rhx src/axiom-website/patches.html 20100623.01.rhx.patch
+20100623 rhx books/axbook.tgz rewrite section 8.3.2 for current output
+20100623 rhx books/bookvol0 rewrite section 8.3.2 for current output
 20100620 tpd src/axiom-website/patches.html 20100620.05.tpd.patch
 20100620 tpd src/input/richtrig100-199.input remove useless derivatives
 20100620 tpd src/input/richtrig000-099.input remove useless derivatives
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4f1462b..3fed920 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2936,6 +2936,8 @@ src/input/richintfunc000-032.input integral function integration<br/>
 src/input/richspecfunc000-022.input special function integration<br/>
 <a href="patches/20100620.05.tpd.patch">20100620.05.tpd.patch</a>
 src/input/richtrig000-099, richtrig100-199 remove useless derivatives<br/>
+<a href="patches/20100623.01.rhx.patch">20100623.01.rhx.patch</a>
+books/bookvol0 rewrite section 8.3.2 for current output<br/>
  </body>
 </html>
 
